# Import des bibliothèques
import wave
import math
import os

######################################################
# Paramètres du son généré
######################################################
# Nom du fichier à créer
nomFichier = 'melodie.wav'
# Ouverture fichier en écriture
monSon = wave.open(nomFichier, 'w')
# Son monophonique (un seul canal)
nbCanal = 1
# Chaque échantillon est quantifié sur 1 octet (8 bits)
nbOctet = 1
# Fréquence d'échantillonnage à 44,1 kHz
fech = 44100

parametres = (nbCanal, nbOctet, fech, fech, 'NONE', 'not compressed')
monSon.setparams(parametres)
######################################################




######################################################
# Durées des notes (en seconde) – À COMPLÉTER
######################################################
duree_noire = 
duree_croche = 
duree_noire_pointee = 
duree_blanche = 
duree_ronde = 
######################################################



######################################################
# Nombre de points correspondant à chaque type de note
# (la fréquence est légèrement différente de fech
# pour bien entendre chaque note)
######################################################
nb_points_noire = 44000*duree_noire
nb_points_croche = 44000*duree_croche
nb_points_noire_pointee = 44000*duree_noire_pointee
nb_points_blanche = 44000*duree_blanche
nb_points_ronde = 44000*duree_ronde
######################################################



######################################################
# Fréquences des notes (en Hz) – À COMPLÉTER
######################################################
fLa = 440.00


######################################################




######################################################
# Notes jouées – À COMPLÉTER
######################################################
# première note (de fréquence fLa, et jouée pendant la durée d'une blanche)
for i in range(int(nb_points_blanche)):
    val = wave.struct.pack('B',int(128*(1+math.sin(2*math.pi*fLa*i/fech))))
    monSon.writeframes(val)




######################################################



######################################################
# Fermeture puis lecture du fichier melodie.wav
######################################################
monSon.close()
os.system("start melodie.wav")
######################################################